#%define alphatag olpc20071102

Name:           telepathy-gabble
Version:        0.7.1
Release:        0.5%{?dist}
Summary:        A Jabber/XMPP connection manager

Group:          Applications/Communications
# The entire source code is LGPLv2+, except src/libmd5-rfc/ and src/sha1/ which are BSD.
License:        LGPLv2+ and (BSD)
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:         gabble-olpc-no-dbus-uid-check.patch
Patch1:         gabble-pep-notifications.patch
Patch2:         gabble-muc-properties.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.72
BuildRequires:  loudmouth-devel >= 1.1.1
BuildRequires:  telepathy-glib-devel >= 0.6.1
BuildRequires:  libxslt
BuildRequires:  python

Requires:  telepathy-filesystem


%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.


%prep
%setup -q
# for non-release builds only:
# -n %{name}-%{version}-%{alphatag}
#%patch0 -p1 -b .no-Werror
%patch0 -p1 -b .dbus-uid
%patch1 -p1 -b .pep
%patch2 -p1 -b .muc-props

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_mandir}/man8/%{name}.8.gz


%changelog
* Wed Dec 05 2007 Dafydd Harries <dafydd.harries@collabora.co.uk> - 0.7.1-0.5.olpc2
- dev.laptop.org #5223: Add patch from upstream so that echoed PEP
  notifications are ignored.
- dev.laptop.org #5224: Add patch from upstream for improved handling og MUC
  properties.

* Thu Nov 15 2007 Robert McQueen <robert.mcqueen@collabora.co.uk> - 0.7.1-0.4.olpc2
- dev.laptop.org #4948: Add OLPC-specific patch to disable checking of the
  UID connecting to D-Bus tubes.
- Fix whitespace in the Requires line.

* Mon Nov 12 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.7.1-0.3
- Update to 0.7.1, which separates persistence and debugging, so OLPCs can
  get debug logs without having Gabble stay in RAM forever
- BuildRequires: telepathy-glib 0.6.1 for this change to take effect (Gabble
  needs the newer version at build time, not just at runtime)

* Thu Nov 08 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.7.0-0.3
- Include the man page in the RPM to stop rpmbuild complaining

* Thu Nov 08 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.7.0-0.2
- Update to 0.7.0 upstream release (laptop.org #4696)
  - Fixes an error in activity advertisement (#4694)
- Reduce divergence between this spec file and the one for Fedora 8 (thanks Brian Pepple)

* Fri Nov 02 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.6.999.1-0.2.olpc20071102
- New snapshot
- Fix assertion failure during shutdown
- Update documentation of OLPC protocol extensions (laptop.org #4242, #4244)

* Fri Oct 26 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.6.999.1-0.2.olpc20071026
- New snapshot, with improved regression test coverage and fewer warnings
- Executable moved to libexecdir

* Tue Oct 23 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.6.999.1-0.2.olpc20071022
- New snapshot, targeting OLPC 1.0
- Remove build dependency on telepathy-glib-unstable (no longer needed)

* Thu Sep 12 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.14.1-0.2.olpc-trial3a-20070913.1
- New snapshot

* Wed Sep 12 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.14.1-0.2.olpc-trial3a-20070912
- New snapshot

* Thu Sep 06 2007 Dan Williams <dcbw@redhat.com> - 0.5.14.1-0.1.20070906darcs_olpctrial3a
- New snapshot

* Tue Sep 04 2007 Dan Williams <dcbw@redhat.com> - 0.5.13.1-0.1.20070904darcs_olpctrial3a
- New snapshot

* Wed Aug 29 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.12.1-1.4.20070829darcs_olpcrollup
- New tube fixes

* Wed Jul 11 2007 Dan Williams <dcbw@redhat.com> - 0.5.12.1-1.3.20070711darcs_olpcrollup
- Update to current darcs

* Tue Jul 10 2007 Dan Williams <dcbw@redhat.com> - 0.5.12.1-1.3.20070710darcs_olpcrollup
- Set default MUC server names, because gabble sometimes picks the wrong one

* Tue Jun 26 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.12.1-1.2.20070626darcs_olpcrollup
- add a no-Werror patch so we don't error out on warnings

* Tue Jun 26 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.12.1-1.1.20070626darcs_olpcrollup
- fix version so we can have incramental updates though if we release a
  0.5.12.1 it will have to start with a -2 release
- BR telepathy-glib-unstable-static so we get tubes support  

* Tue Jun 26 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.12.1-0.20070626darcs_olpcrollup
- update to a snapshot release on the olpcrollup branch

* Tue Jun 19 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.11-2
- Add BR on telepathy-glib

* Thu Jun 14 2007 John (J5) Palmieri <johnp@redhat.com> - 0.5.11-1
- Update to 0.5.11 and rebuild for olpc2

* Tue Feb 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-2
- Rebuild for new loudmouth.

* Mon Jan 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1.

* Tue Dec 12 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0.

* Thu Dec  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.9-1
- Update to 0.4.9.

* Fri Dec  1 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.8-1
- Update to 0.4.8.

* Thu Nov 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5.

* Sat Nov  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3.

* Fri Oct 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2.

* Mon Oct 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1.

* Thu Oct 19 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0.

* Fri Oct 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.13-1
- Update to 0.3.13.

* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-1
- Update to 0.3.11.

* Thu Oct  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.10-1
- Update to 0.3.10.

* Wed Oct  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.9-1
- Update to 0.3.9.

* Sun Oct  1 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7.
- Add requires on telepathy-filesystem.

* Thu Sep 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6.

* Sun Sep 17 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5.

* Mon Sep 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4.
- Use -disable-loudmouth-versioning to build with stable version of loudmouth.

* Sat Sep  9 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-2
- Bump.

* Mon Aug 28 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-1
- Initial FE spec.

